Summary:       Shell scripts for managing DocBook documents
Name:          docbook-utils
Version:       0.6.14
Release:       7%{?dist}
License:       GPLv2+
URL:           https://sourceware.org/docbook-tools/
Source0:       https://sourceware.org/ftp/docbook-tools/new-trials/SOURCES/%{name}-%{version}.tar.gz
Source1:       gdp-both.dsl
Source2:       docbook2man-spec.pl

BuildRequires: perl-generators perl-SGMLSpm openjade docbook-style-dsssl make

Requires:      docbook-style-dsssl docbook-dtds perl-SGMLSpm which grep gawk

Provides:      stylesheets = %{version}-%{release}
Suggests:      lynx

BuildArch:     noarch

Patch3000:     docbook-utils-spaces.patch
Patch3001:     docbook-utils-2ndspaces.patch
Patch3002:     docbook-utils-w3mtxtconvert.patch
Patch3003:     docbook-utils-grepnocolors.patch
Patch3004:     docbook-utils-sgmlinclude.patch
Patch3005:     docbook-utils-rtfmanpage.patch
Patch3006:     docbook-utils-papersize.patch
Patch3007:     docbook-utils-nofinalecho.patch
Patch3008:     docbook-utils-newgrep.patch

%description
This package provides scripts are for easy conversion from DocBook
files to other formats (for example, RTF, and PostScript), and for comparing SGML files.

%prep
%autosetup -n %{name}-%{version} -p1

sed -i 's/refentry man HTML/refentry man/g' doc/Makefile.in

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
%make_install

%install
export DESTDIR=%{buildroot}
make install prefix=%{_prefix} mandir=%{_mandir} docdir=/tmp
for util in ps rtf
do
	ln -s docbook2$util %{buildroot}%{_bindir}/db2$util
	ln -s jw.1.gz %{buildroot}/%{_mandir}/man1/db2$util.1
done
ln -s jw.1.gz %{buildroot}/%{_mandir}/man1/docbook2txt.1
install -p -m 644 %{SOURCE1} %{buildroot}%{_datadir}/sgml/docbook/utils-%{version}/docbook-utils.dsl
install -p -m 755 %{SOURCE2} %{buildroot}%{_datadir}/sgml/docbook/utils-%{version}/helpers/docbook2man-spec.pl

%files
%license COPYING
%doc README TODO
%{_bindir}/jw
%{_bindir}/docbook2man
%{_bindir}/docbook2rtf
%{_bindir}/docbook2tex
%{_bindir}/docbook2texi
%{_bindir}/docbook2txt
%{_bindir}/db2rtf
%{_bindir}/sgmldiff
%{_bindir}/docbook2ps
%{_bindir}/db2ps
%{_datadir}/sgml/docbook/utils-%{version}
%{_mandir}/*/db2ps.*
%{_mandir}/*/db2rtf.*
%{_mandir}/*/docbook2rtf.*
%{_mandir}/*/docbook2man.*
%{_mandir}/*/docbook2tex.*
%{_mandir}/*/docbook2texi.*
%{_mandir}/*/docbook2txt.*
%{_mandir}/*/jw.*
%{_mandir}/*/sgmldiff.*
%{_mandir}/*/*-spec.*
%{_mandir}/*/docbook2ps.*
%exclude %{_bindir}/docbook2dvi
%exclude %{_bindir}/docbook2html
%exclude %{_bindir}/docbook2pdf
%exclude %{_mandir}/*/docbook2html.*
%exclude %{_mandir}/*/docbook2pdf.*
%exclude %{_mandir}/*/docbook2dvi.*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.14-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.14-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.14-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.14-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.14-3
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 6 2023 Shuo Wang <abushwang@tencent.com> - 0.6.14-2
- update url

* Wed Nov 16 2022 Shuo Wang <abushwang@tencent.com> - 0.6.14-1
- initial build
